#pragma once

template <typename T>
struct ErrorOr {
    bool isError;
    T value;

    ErrorOr<T>();
    ErrorOr<T>(T);
};

template <typename T>
ErrorOr<T>::ErrorOr() {
    this->isError = false;
}

template <typename T>
ErrorOr<T>::ErrorOr(T value) {
    this->isError = false;
    this->value = value;
}
